C#ATIA

↑タイトル詐欺 主にCATIA V5 の VBA(最近はPMillマクロとFusion360APIが多い)

カスタムグラフィックスを削除する

Fusion360のAPIでは、画面上に面等の要素を表示させる方法が 知っている限りでは3つあります。・BRep 通常の手動(GUI)で作業した際に出来上がるものです。・TemporaryBRep 結果的にBRepと同じになりますが、履歴が使えません。 又、複雑な形状を作る方法が…

pythonのflort型のrange関数

fusion360APIをやっているといつも欲しくなる。 その都度検索して探し出してくるので覚書。こちらを拝借し、ちょっとだけ好みに変えました。 Pythonのrange関数をfloat型に拡張してみた - S0-ma's Blog def dRange(start, end, step): from decimal import D…

パンチタップ

以前、加工屋さんのブログ(現在は無くなりました)で紹介されていたタップを 思い出しました。エムーゲ・フランケンのパンチタップと言うものです。こちらの動画を 紹介していました。 www.youtube.com最初はどのような仕組みなのか全く理解出来ませんでし…

選択済みのツールパスからNCプログラムを作る

連日作業していて "作ろう作ろう" と思いながら放置していたマクロです。"選択済みのツールパスから1個のNCプログラムを作る" だけです。 //pm2020 macro //registerNCProgram.mac Ver0.0.1 //選択済みツールパスから1個のNCプログラム作成 //--------------…

水平面だけを選択する

時間が無いので、取り急ぎ覚書。PowerMillで水平面だけを選択するコマンドボタンが無いのですが、 コマンド自体はあります。エコーコマンドで実行出来ます。 EDIT MODEL ALL SELECT FLATこの一行のためにマクロにすべきか・・・。ショートカットキーに空きが…

閉空間球充填問題2

こちらの続きです。 閉空間球充填問題 - C#ATIA 問題を出しておいて答えがわかっていない無責任ぶりを少しでも 解消しようとn=6を正月辺りから取り組んでいます。 合成数だとイメージしやすいですね。6=2X3 なので。 イメージ出来る球体の配置は2種類ぐらい…

閉空間球充填問題

あけましておめでとうございます。 毎年ながら、マイペースでやって行く予定です。特に無いのですが、こちらの問題をフォーラムに 投げてみました。 forums.autodesk.com1/6時点で1,2,4,9が解決済みです。 御興味ある方は是非挑戦してみてください。 (PC離…

2019年を振り返る

通常、年末辺りは結構手が空くのですが、今年に限っては 忙しく、急いで振り返ります。〇CATIA 正直なところネタ切れ感が拭えず、今年はほぼ書いて無い様な記憶です。 今年のネタでは無いのですが、こちらの手抜きメニュー Free CAD Designs, Files & 3D Mod…

もっと短く書けるんじゃないかな?

海外の公開されているcatiaのマクロ(国内は、ほぼ無いけど)もそうなんですが、 Fusion360のスクリプトも結構、読みにくいものが多い気がするんです。とあるサイトで公開されていたものの一部なんですが ・・・ line1 = adsk.core.Line3D.create(adsk.core.…

同一半径限定で球体同士の交差を作る

同一半径限定で、表示された球体同士の交差を作ります。 ・・・同一半径のみ欲しいので、同一半径のみなんです。 #Fusion360API Python script #Author-kantoku #Description-表示された球体を見つけ、交差作成(同一半径のみ) import adsk.core, adsk.fusion…

平面と球体の交差を作る2

こちらの続きです。 平面と球体の交差を作る1 - C#ATIAこちらを合体させてみました。 立方体を判断する - C#ATIA 球体を判断する - C#ATIA #Fusion360API Python script #Author-kantoku #Description-表示された立方体と球体を見つけ、交差作成 import adsk…

球体を判断する

Fusion360で球体を作成する場合、プリミティブで作成してもスケッチを使い回転で 作成しても、サーフェスは1枚になるようです。(CATIAは2枚)念の為、2枚に分割されても正しく球体と判断出来るようにしたつもりです。 又、立方体時とは異なり、拡張メソッド…

立方体を判断する

ボディが立方体か?を判断したいんです。で、こんな感じで作りました。 #Fusion360API Python script #Author-kantoku #Description-立方体の判断 import adsk.core, adsk.fusion, traceback def run(context): ui = None try: app :adsk.core.Application =…

ターミナルで実行の 'adsk' モジュール見つからん問題解消

前からうっとうしいと感じていたのですが、こちらのターミナルで実行の やつですが 最初はわからなかったのですが、文法的な間違い等をチェックするのに 高速で便利です。実行すると 緑のところで、「'adsk'なんてモジュール無いよ!」と訴えかけてきます。 …

PartNumberをファイル名に書き換える

久々のCATIAなのですが、ちょっと残念な奴です。Productの際、ぶら下がったPartNumberをファイル名に書き換える と言う、今さら感の強いやつです。 'vba Assy_ProductReNamem_ver0.0.1 using-'KCL0.1.0' by Kantoku Option Explicit Private mFSO As Object …

平面と球体の交差を作る1

気が付いたら、すっかりブログを更新していませんでした。かなり以前にフォーラムで質問したのですが、Fusion360の場合 平面と球体が接触している場合、交差を作っても何も出来ないんですよね。 CATIAの場合、接触であれば点が作成されます。ちょっと先の事…

PowerPoint Viewer (主に愚痴)

いやー知らなかったんですよ、PowerPoint Viewerの提供が終了していたなんて。「PowerPoint Viewer」提供終了!今後の閲覧はどうすればいい?代替アプリ&方法 |IT小ネタ帳 こちらでご紹介されていた、PowerPoint Mobileで凌ぐことにしました。某H社系統か…

Fusion360 APIのフォーラムでの質問

あぁ、ちょっと毒吐くかもしれない。APIのこちらの質問、 SketchCurve.trim returns incorrect object collection - Autodesk Community 色々と情報を書いてくれているのですが、ほぼ無意味なんですよ。 (ハードウェアUUIDとか、要らん)確かに作成中のコー…

3D曲線と遊ぶ1

時間が無い。とりあえず程度のコード。 #Fusion360API Python script #Author-kantoku #Description-3DCurve test import adsk.core, adsk.fusion, traceback def run(context): ui = None try: app :adsk.core.Application = adsk.core.Application.get() u…

APIからレンダリングを開始する

自分で答えておいて何ですが、出来るんですね。 Re: How do I programmatically control the render settings? - Autodesk Communityん~あまり使い場面が無いかな?

PowerMill Viewer

以前からフォーラムでクレームが出ていた、ビュアーが実装されたようです。 Help買収前のDELCAM時代は存在していたらしいのですが、買収後に無くなっていたようです。 Ver2020.2にした時点で気が付かなかったのですが、確かに入っています。 Helpに記載され…

LEDAS社

LEDAS社って聞かないですよね? ロシアのCAD関連会社なのですが、ロシア製のCADってお目にかかったこと無いです。ASCON 社(ロシア)の「C3D Geometric Kernel」と言うロシア製3DCADカーネルの 作成に関わっていた事は薄っすら知っていたのですが、こちらの…

スクリプト新作時の雛形

Fusion360のスクリプトを新作した際、雛形のコードがありますが、 恐らくあれは、インストールフォルダ内の何処かにあるものをコピペ されるのだろうと思い、以前探したことがあります。(Win10) C:\Users\<UserName>\AppData\Local\Autodesk\webdeploy\production\<バー</username>…

使用可能な 外観/マテリアル リストをエクスポート

Fusion360の 外観/マテリアル をAPIで扱ったことが無かったのですが、 作ってみました。 #Fusion360API_Python script #Author-kantoku #Description-外観/マテリアルのリストをエクスポート import adsk.core, adsk.fusion, traceback def run(context): ui…

2Dの曲線を選択した際、近い側の端点を取得

「2Dの曲線を選択した際、近い側の端点を取得したい」との相談を 頂きました。通常要素の選択であれば、Selection.SelectElement2が殆どなのですが、 今回の場合は、Selection.IndicateOrSelectElement2Dを使用します。 理由は単純で、クリックした位置の座…

TSplineBody Doorway ver0.0.1

こちらの続きです。 TSMファイル7 - C#ATIAFusion360のTスプラインボディのインポート/エクスポート用の プラグインを公開しました。 GitHub - kantoku-code/Fusion360-TSplineBodyDoorway: Fusion360 TSplineBody Doorway早速、イマイチです。 〇アドイン実…

TSMファイル7

こちらの続きです。 TSMファイル6 - C#ATIA色々と迷う部分があり、先にインポートを作成しました。 何時もは ”出しゃばってはいけない” と思いスプリクトを作っていますが、 今回はアドインにしてます。・・・エクスポート側も出来上がったら 公開予定。アド…

パターンの微細な自己交差を解消する

久々にPowerMillのマクロです。 最近はFusion360ばかりだったので、すっかり忘れています。こんな感じの単純なツールパスを作りたいのですが、 PowerMillの場合、色々な機能があるとは思います。訳があって「カーブ輪郭」と言う2Dの機能を使っているのですが、…

CommandInputsの表示不具合っぽい時の対処

タイトルが異なりますが、こちらの続きです。 TSMファイル6 - C#ATIA何とか、この不具合のような状況を回避策を見付けてから 宿題に取り掛かりたいです。 コマンドを自作しダイアログを表示させる場ですが、 Helpのサンプルコードを見ても結構長いです。そこ…

Fusion360からVSCodeが起動しなくなった時の対処方法

こちらの続編ですが、同様の事例が出た場合の方のために 一通りまとめます。(ほぼ居ないとは思います) VSCode デバッグ時のサイドバーの変数 - C#ATIAざっくりですが環境です。 ・Win10 Pro ・Fusion360 Ver2.0.6670 ・VSCode Ver1.40.1※下記「削除」と記載…